Distribution:   CCux
Packager:	Christian Metzen <metzench@cux-linux.de>

Summary:	DVB frequenzy scanner
Name:		w_scan
Version:	20101204
Release:	1
Group:		VDR
License:	GNU/GPL
URL:		http://wirbel.htpc-forum.de/w_scan/index_en.html
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
w_scan is a small command line utility used to perform frequency scans for DVB and ATSC transmissions.
It is capable of creating channels.conf files (in different output formats !) as well as initial tuning data for scan.
It's based on the utility scan from linuxtv-dvb-apps, but meanwhile it was heavily changed and has different features:

1. no need for "initial transponders", and such no need for a config file
2. w_scan finds automatically the best matching dvb card
3. complete different command line options
4. a different default output format as well as bunch of output formats. 

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/w_scan
%{_bindir}/w_scan_start.sh
%{_mandir}/man1/w_scan.1.gz

%changelog
* Sun Jan 02 2011 Karsten Brockmann <arcam@ccux-linux.de> 20101204-1
- Version update
* Fri Sep 25 2009 Christian Metzen <metzench@ccux-linux.de> 20090918-1
- Initial release
